{% extends "dash/layouts/default.html" %}
{% load member_url from interestgroup %}
{% load static %}
{% block title %} Chief's Office {% endblock title %}
<style>
  .search-input .tt-menu {
  background-color: white;
  max-height: 300px;
  border-width: 0 1px 1px 1px;
  border-color: rgba(0,0,0,.0625);
  border-style: solid;
  overflow-y: scroll;
  width: 100%;
}
</style>
{% block stylesheets %}
{% endblock stylesheets %}

{% block content %}
<div class="row gap-20 masonry pos-r">
  <div class="masonry-sizer col-12"></div>
  <div class="masonry-item col-lg-6">
      <div class="bgc-white p-20 bd" style="min-height: 200px;">
          <div class="row mb-4">
            <div class="col-12">
              <h4>Approve Interest Groups</h4>
              <p>
                The following are groups suggested by members which are not yet approved by any interest group moderators.
                Consider the following guidelines for approving interest groups.
              </p>
              <ul>
                <li>
                  If this groups are similar to any existing interest group, or if 
                  the group's topic seems to be too general (Eg. Computer Scinece).
                </li>
                <li>
                  If you feel a group is a genuine interest group on some field related
                    to computer science and engineering, you may approve the group.
                </li>
                <li>
                  Projects are supposed to be tagged with approved interest groups that match the nature of the project
                  so that the members of that interest groups notice them. This will be done by project leaders.
                </li>
              </ul>
            </div>
          </div>
          <div class="row">
              {% for group in unapproved_igs_list %}
              <div class="col-12 peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50">
                <div class="peer">
                    <img src="{{ group.get_badge_url }}" alt="" class="w-3r h-3r">
                </div>
                <a class="peer peer-greed pL-20" href="{% member_url igm.username %}">
                    <h6 class="mB-0 lh-1 fw-400">{{ group.topic }}</h6>
                </a>
                <form action="" method='post' class="peer pull-right"> 
                  {% csrf_token %}
                  <input type="hidden" name="pkey" value="{{ group.pk }}">
                  <input type="hidden" name="action" value="delete-group">
                  <input type="submit" name="submit" value="Delete" class="btn btn-light">
                </form>
                <form action="" method='post' class="peer pull-right"> 
                  {% csrf_token %}
                  <input type="hidden" name="pkey" value="{{ group.pk }}">
                  <input type="hidden" name="action" value="approve-group">
                  <input type="submit" name="submit" value="Approve" class="btn btn-primary">
                </form>
              </div>
              {% endfor %}
          </div>
      </div>
  </div>
</div>
{% endblock content %}
